import { BaseCoreDto } from 'src/core/modules/infrastructure/dto/base-core.dto';
import { ItemRateEntity } from '../../domain/entities/item-rate.entity';
import { ApiProperty } from '@nestjs/swagger';
import { Exclude } from 'class-transformer';

export class UpdateItemRateDto extends BaseCoreDto implements ItemRateEntity {
    @Exclude()
    item_id: string;

    @Exclude()
    season_period_id: string;

    @ApiProperty({
        type: Number,
        required: true,
    })
    price: number;
}
