import { MigrationInterface, QueryRunner } from "typeorm";

export class AddColumnPrioritySeasonPeriod1719227554657 implements MigrationInterface {
    name = 'AddColumnPrioritySeasonPeriod1719227554657'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "season_periods" ADD "priority" integer NOT NULL DEFAULT '3'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE "season_periods" DROP COLUMN "priority"`);
    }

}
