import { ConfigModule } from '@nestjs/config';
import { CouchDataController } from './infrastructure/couch.controller';
import { Module } from '@nestjs/common';
import { CouchService } from './data/services/couch.service';
import { CqrsModule } from '@nestjs/cqrs';

@Module({
  imports: [
    ConfigModule.forRoot(),
    //   TypeOrmModule.forFeature([UserPrivilegeModel], CONNECTION_NAME.DEFAULT),
    CqrsModule,
  ],
  controllers: [CouchDataController],
  providers: [CouchService],
})
export class CouchModule {}
